package com.sinosig.core.module.dao.po;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;

/**
 * 关系型数据实体表[Table] 对象
 */
public interface ICUSTOMERTable {

    //客户类型
    String getKhlx();
    void setKhlx(String khlx);
    //证件类型
    String getZjlx();
    void setZjlx(String zjlx);
    //客户标识
    String getCustomerid();
    void setCustomerid(String customerid);
    //更新人
    String getUpdateman();
    void setUpdateman(String updateman);
    //建立时间
    Timestamp getCreatedate();
    void setCreatedate(Timestamp createdate);
    //性别
    String getXb();
    void setXb(String xb);
    //客户名称
    String getCustomername();
    void setCustomername(String customername);
    //建立人
    String getCreateman();
    void setCreateman(String createman);
    //出生年月
    Timestamp getCsny();
    void setCsny(Timestamp csny);
    //证件号码
    String getZjhm();
    void setZjhm(String zjhm);
    //更新时间
    Timestamp getUpdatedate();
    void setUpdatedate(Timestamp updatedate);
    //年龄
    Integer getNl();
    void setNl(Integer nl);
    //车险单标识
    String getCidid();
    void setCidid(String cidid);
}
